/* color theme under: https://coolors.co/121212-1e1e1e-cccccc-9b5de5-c77dff-ffffff*/
/* svgs from https://simpleicons.org */
/* I want a global dark theme for my website, mixed with some purple. */



/* Style of the overall body. */
body {
    margin: 0;
    padding: 0;
    font-family: 'Inter', sans-serif;
    background-color: #121212;
    color: #ffffff;
}

a {
    text-decoration: none;
    color: #C77DFF;
    transition: 0.3s ease;
}

a:hover {
    color: #E7C6FF;
}


/* Overall Style of the chapter container. */
.chapterContainer {
    padding-top: 8rem;
    max-width: 700px;
    margin: 0 auto;
    padding-left: 1rem;
    padding-right: 1rem;
}

/* Title Style */
.chapterTitle {
    font-size: 2.8rem;
    margin-bottom: 0.5rem;
    letter-spacing: 2px;
}

.chapterSubtitle {
    color: #9B5DE5;
    margin-bottom: 3rem;
    font-size: 0.9rem;
}

/* Style of the main paragraph. */
.chapterContent p {
    font-family: "Times New Roman", Times, serif;
    line-height: 1.8;
    margin-bottom: 1.6rem;
    font-size: 1rem;
    color: #dddddd;
}

.chapterContent em {
    color: #E7C6FF;
    font-style: italic;
}

.chapterContent strong {
    color: #ffffff;
    font-weight: bold;
}



/* Style of the navigation bar. */
.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: rgba(18, 18, 18, 0.75);
    backdrop-filter: blur(10px);
    border-bottom: 1px solid #9B5DE5;
    padding: 1rem 2rem;
}

.navbar a {
    color: white;
    font-size: 1.1rem;
    transition: 0.2s;
}

.navbar a:hover {
    color: #C77DFF;
    text-shadow: 0 0 10px #9B5DE5;
}

/* This part is for everything related to the footer.*/

footer {
    text-align: center;
    padding: 2rem;
    border-top: 1px solid #9B5DE5;
    margin-top: 4rem;
    font-size: 0.9rem;
    color: #cccccc;
    background-color: #121212;
    box-shadow: 0 2px 10px rgba(155,93,229,0.3);
}

.socials {
    margin-top: 1rem;
}

.socialButton {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
}

.socialButton img {
    width: 24px;
    height: 24px;
    filter: invert(1);
}

.socialButton:hover{
    background-color: #C77DFF;
    box-shadow: 0 0 15px #C77DFF;
}

.socialButton:hover {
    transform: scale(1.4);
}


/* Mobile Optimization */
@media (max-width: 750px) {

    .chapterContainer {
        padding-top: 6rem;
        padding-left: 1.2rem;
        padding-right: 1.2rem;
    }

    .chapterSubtitle {
        font-size: 0.85rem;
        margin-bottom: 2rem;
    }

    .chapterContent p {
        font-size: 1.05rem; /*slightly bigger for mobile*/
        line-height: 1.9;
    }




    .navbar {
        gap: 1.2rem;
        padding: 0.8rem 1rem;
    }

    .navbar a {
        font-size: 1rem;
    }

    .socialButton {
        width: 40px;
        height: 40px;
    }

    .socialButton img {
        width: 20px;
        height: 20px;
    }
}